RagTimeStruct::ResourceList Struct Reference documentation

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
RagTimeStruct::ResourceList Struct Reference

a structure used to store list in a resource fork More...

`#include <RagTimeStruct.hxx>`

## Public Types
enum | Type { BuSl =0 , BuGr , SpBo , SpCe , SpDE , SpTe , SpVa , gray , colr , res_ , Undef }
| the different resource type which can be stored as list More...

## Public Member Functions
| ResourceList ()
| constructor More...
bool | read (MWAWInputStreamPtr input, MWAWEntry &entry)
| try to read the header block More...

## Static Public Member Functions
static std::string | getName (Type type)
| returns a string corresponding to a type More...

## Public Attributes
Type | m_type
| the resource type More...
long | m_headerPos
| the begin position of the header More...
int | m_headerSize
| the header size More...
long | m_dataPos
| the begin position of the first data More...
int | m_dataNumber
| the number of data More...
int | m_dataSize
| the data size More...
long | m_endPos
| the end pos More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, ResourceList &zone)
| operator<< More...

## Detailed Description

a structure used to store list in a resource fork

## Member Enumeration Documentation

## ◆ Type

enum RagTimeStruct::ResourceList::Type

the different resource type which can be stored as list

Enumerator
BuSl |
BuGr |
SpBo |
SpCe |
SpDE |
SpTe |
SpVa |
gray |
colr |
res_ |
Undef |

## Constructor & Destructor Documentation

## ◆ ResourceList()

RagTimeStruct::ResourceList::ResourceList | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getName()

static std::string RagTimeStruct::ResourceList::getName | ( | Type | type | ) |
| inlinestatic

returns a string corresponding to a type

Referenced by RagTimeParser::findRsrcZones(), and RagTimeSpreadsheet::readResource().

## ◆ read()

bool RagTimeStruct::ResourceList::read | ( | MWAWInputStreamPtr | input,
|  | MWAWEntry & | entry
| ) |  |

try to read the header block

Referenced by RagTimeParser::findRsrcZones(), RagTimeSpreadsheet::readResource(), and RagTimeParser::readRsrcStructured().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ResourceList & | zone
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_dataNumber

int RagTimeStruct::ResourceList::m_dataNumber

the number of data

Referenced by read(), RagTimeSpreadsheet::readResource(), and RagTimeParser::readRsrcStructured().

## ◆ m_dataPos

long RagTimeStruct::ResourceList::m_dataPos

the begin position of the first data

Referenced by read(), RagTimeSpreadsheet::readResource(), and RagTimeParser::readRsrcStructured().

## ◆ m_dataSize

int RagTimeStruct::ResourceList::m_dataSize

the data size

Referenced by read(), RagTimeSpreadsheet::readResource(), and RagTimeParser::readRsrcStructured().

## ◆ m_endPos

long RagTimeStruct::ResourceList::m_endPos

the end pos

Referenced by read(), RagTimeSpreadsheet::readResource(), and RagTimeParser::readRsrcStructured().

## ◆ m_extra

std::string RagTimeStruct::ResourceList::m_extra

extra data

Referenced by read().

## ◆ m_headerPos

long RagTimeStruct::ResourceList::m_headerPos

the begin position of the header

Referenced by read().

## ◆ m_headerSize

int RagTimeStruct::ResourceList::m_headerSize

the header size

Referenced by read().

## ◆ m_type

Type RagTimeStruct::ResourceList::m_type

the resource type

Referenced by RagTimeParser::findRsrcZones(), read(), and RagTimeSpreadsheet::readResource().

The documentation for this struct was generated from the following files:

- RagTimeStruct.hxx
- RagTimeStruct.cxx